//
// knight-path - shortest knight path between two squares
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <iostream>

#include <lib/progname.h>
#include <lib/print_version.h>
#include <lib/version.h>


void
print_version(void)
{
    std::cout
        << progname_get() << " version " << version()
        << "\n"
           "Copyright (C) " << copyright_years() << " " << copyright_owner()
        << "\n"
           "This program comes with ABSOLUTELY NO WARRANTY; for\n"
           "details see the LICENSE file in the source package.\n"
           "This program is free software, and you are welcome to\n"
           "redistribute it under certain conditions; for details\n"
           "see the LICENSE file.\n"
           ;
}
